Subject: Re: Quirky Emacs behavior -- any ideas?
From: Joe Buehler <[email-masked]>
To: [email-masked]
Date: Fri, 03 Jan 2003 12:04:15 -0500

Dr. Andrew Mayer wrote:

> ** ad-Orig-documentation called with 5 arguments, but
> accepts only 1-2

I recall some problem of this sort in the near past, but cannot remember
exactly what it was.  Code in advice.el creates a wrapper for the
"documentation" function, which it renames to ad-Orig-documentation.
For some reason 5 arguments are being passed when the original function
expects only 1 or 2.

Are you running the very latest version of Cygwin emacs?  It has all the LISP
files recompiled, which I believed fixed some sort of problem of this kind.

You might try running the elisp expression (ad-Orig-documentation 'documentation-property t)
and see if you get back the documentation string for the named function.

> When I exit Emacs (and return to a bash shell) I see
> this error
> 
> lstat(./kpsewhich) failed ...
> ./kpsewhich: No such file or directory

Never heard of this.  The name appears in the emacs lisp source as part
of some sort of TeX support software.

Joe Buehler

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/